#right_button {
    float: right;
}

#left_button {
    float: left;
}

#margin_left {
    margin-left: 5px;
}

#vertical_align_middle {
    vertical-align: middle;
}

#min_width_150 {
    min-width: 150px;
}

#min_width_250 {
    min-width: 250px;
}

#min_width_200 {
    min-width: 200px;
}

#min_width_100 {
    min-width: 100px;
}

#min_width_70 {
    min-width: 70px;
}

#table_data_with_link {
    color: inherit;
    text-decoration: none;
}

#margin_bottom_15 {
    margin-bottom: 15px;
}

#width_100 {
    width: 100%;
}

#display_block {
    display: block;
}

#margin_button_15_right {
    margin-bottom: 15px;
    float: right;
}

#margin_buttom_0 {
    margin-bottom: 0;
}

#margin_buttom_1_left_5 {
    margin-bottom: 1rem;
    margin-left: 5px;
}

#margin_top_15_right {
    float: right;
    margin-top: 15px;
}

#table_data_with_link_center {
    color: inherit;
    text-decoration: none;
    text-align: center;
}

#form_input_checkbox {
    display: flex;
    align-items: center;
}

#title_tag {
    color: rgba(255, 255, 255, 0.87);
    text-decoration: none;
}

.bi {
    margin-left: 15px;
    margin-right: 15px;
    font-size: 20px;
}

td {
    height: 50px;
}

.invalid {
    color: gray;
}

select:invalid {
    color: gray;
}

form .form-control::-webkit-input-placeholder {
    color: gray;
}

form .form-control::-moz-placeholder {
    color: gray;
}

form .form-control::-ms-placeholder {
    color: gray;
}

form .form-control::placeholder {
    color: gray;
}

.hide {
    display: none;
}

ul {
    padding: 0px;
    padding-left: 1em;
}

iframe {
    width: 100%;
    height: 100%;
    min-height: 500px;
    border: none;
}

table {
    border-collapse: collapse;
    width: 100%;
}

th,
td {
    padding: 8px;
    white-space: nowrap;
}

.bootstrap-select {
    width: 100% !important;
}

.bootstrap-select .dropdown-toggle {
    background-color: #fff;
    border: 1px solid #b1b7c1;
}

.dropdown-menu {
    min-width: 160px !important;
    max-width: 600px !important;
}

.no-results {
    cursor: pointer;
}

.details-row {
    display: none;
}

.details-content {
    padding: 10px;
    border: 1px solid #ddd;
    background-color: #f9f9f9;
}

.button-icon {
    margin-right: 5px;
    margin-left: 0px;
    font-size: inherit;
}

#shipmentWeekChartMessage,
#shipmentMonthChartMessage,
#shipmentYearChartMessage {
    min-height: 400px;
    justify-content: center;
    display: flex;
    align-items: center;
}
